import Vue from 'vue'
import Vuex from 'vuex'
import publicType from './publicType.js' // 公共的类型 

Vue.use(Vuex)

export default new Vuex.Store({
	strict: true,
	state: {
		...publicType
	},
	getters: {
	},
	mutations: {
		setState(state, [key,val]) {
			state[key] = val
		}
	},
	actions: {
		login(aa, token) {
			// commit('setToken', token)
			console.log(aa)
		},
	}
})
